View Issue Details

IDProjectCategoryView StatusLast Update
0024311LazarusLCLpublic2013-05-01 11:26
ReportergparsonsAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWindows 7OS VersionWindows 7 64Bit
Product Version1.0.8Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0024311: Cannot set text selection in TDateEdit if DateOrder is anything other than doNone
DescriptionIf DateOrder is set to anything other than doNone then DateEdit won't autoselect the full text on entry to the component, nor can a SelLength or SelectAll be set programmatically.
Steps To ReproduceAdd a TDateEdit to a form
Set property DateOrder to something other than doNone
Set property DefaultToday to TRUE
Set property AutoSelect to TRUE (default)
Attempt to use DateEdit1.SelectAll programatically or TAB to the DateEdit. Only the first character is selected.
TagsNo tags attached.
Fixed in Revisionr40900
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0017942 resolvedBart Broersma TMaskEdit selection 

Activities

Bart Broersma

2013-04-27 14:44

developer   ~0067182

Please test and close if OK.

Issue History

Date Modified Username Field Change
2013-04-22 22:00 gparsons New Issue
2013-04-27 14:44 Bart Broersma Fixed in Revision => r40900
2013-04-27 14:44 Bart Broersma LazTarget => -
2013-04-27 14:44 Bart Broersma Note Added: 0067182
2013-04-27 14:44 Bart Broersma Status new => resolved
2013-04-27 14:44 Bart Broersma Fixed in Version => 1.1 (SVN)
2013-04-27 14:44 Bart Broersma Resolution open => fixed
2013-04-27 14:44 Bart Broersma Assigned To => Bart Broersma
2013-04-27 15:26 Zeljan Rikalo Relationship added related to 0017942